/**
*Raid Manager App
* Defined an app for raid manage
*/
var EasySetupApp = EasySetupApp || {};  //Define Raid Manger App namespace.
/**
*Constructor UNAS App
*/
EasySetupApp.App = function () {
    this.id = 'Easy Setup';
    this.name = 'Easy Setup';
    this.version = '6.0.11';
    this.active = false;
    this.menuIcon = '/apps/easysetup/images/logo.png';
    this.shortcutIcon = '/apps/easysetup/images/logo.png';
    //this.entryHelpUrl = '/apps/easysetup/easysetup_help.html';
    var self = this;
    this.EasySetupAppWindow = function () { //create app window
     self.window=new MUI.Window({
            id: 'EasySetupAppWindow',
            title: UNAS._('Easy Setup'),
            icon: '/apps/easysetup/images/logo_small.png',
            width: 880,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/easysetup/easysetup.html?v=6.0.11&',
            require: {  css: ['/apps/easysetup/css/easysetup.css?v=6.0.11&'] }
        });
    };
    this.EasySetupUninstall = function () {
        UNAS.RemoveDesktopShortcut('Easy Setup');
        UNAS.RemoveMenu('Easy Setup');
        UNAS.RemoveAppFromGroups('Easy Setup', 'Help');
        UNAS.RemoveAppFromApps('Easy Setup');
    }
    new UNAS.Menu('UNAS_Tools_Menu', this.name, this.menuIcon, 'Easy Setup', '', this.EasySetupAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Easy Setup', this.EasySetupAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'EasySetup', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Easy Setup', UNAS._('Easy Setup')); //translate menu
        UNAS.SetShortcutTitle('Easy Setup', UNAS._('Easy Setup'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('EasySetupAppWindow', UNAS._('Easy Setup'));
        }
    };
    UNAS.LoadTranslation('/apps/easysetup/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.EasySetupAppWindow, this.EasySetupUninstall);
};

new EasySetupApp.App();
